"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.upload = void 0;
const axios_1 = __importDefault(require("axios"));
const fs = __importStar(require("fs"));
axios_1.default.defaults.headers.post["Content-Type"] = "application/json";
const uploadRawStats = async (url, meta, rawStats, intervals) => {
    const response = await axios_1.default.post(`${url}/projects/${meta.project}/revisions/${meta.revision}/samples/${meta.sample}/containers/${meta.container}/stats`, { stats: rawStats, intervals });
    console.log(`${response.data} stats uploaded`);
};
exports.upload = async (args) => {
    for (const path of args.paths) {
        if (/\.json$/.test(path) && fs.existsSync(path)) {
            const [container, sample, revision, project] = path
                .replace(".json", "")
                .split("/")
                .reverse();
            const meta = {
                container,
                project,
                revision,
                sample: parseInt(sample, 10),
            };
            const { stats, intervals, } = JSON.parse(fs.readFileSync(path, "utf8"));
            if ((stats === null || stats === void 0 ? void 0 : stats.length) > 0 && (intervals === null || intervals === void 0 ? void 0 : intervals.length) >= 0) {
                await uploadRawStats(args.url, meta, stats, intervals);
            }
        }
    }
    console.log(`Send terminated`);
};
