"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.gatherStats = void 0;
const child_process = __importStar(require("child_process"));
const path = __importStar(require("path"));
exports.gatherStats = (container, socketPath, callback) => {
    const childProcess = child_process.fork(path.resolve(__dirname, "./getStatOfContainer"), [
        socketPath,
        `/containers/${container}/stats`,
    ]);
    const buffers = [];
    childProcess.on("message", (res) => {
        buffers.push(Buffer.from(res.data));
    });
    childProcess.on("close", () => {
        console.log(`close ${container}:`, new Date());
        const lines = buffers
            .map((buffer) => buffer.toString())
            .join("")
            .split("\n");
        try {
            JSON.parse(lines[lines.length - 1]);
        }
        catch {
            lines.pop();
        }
        callback(`[${lines.join(",")}]`);
    });
    return childProcess;
};
