"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = __importDefault(require("yargs"));
const run_1 = require("./commands/run");
const upload_1 = require("./commands/upload");
const drop_1 = require("./commands/drop");
yargs_1.default(process.argv.slice(2))
    .scriptName("argos")
    .command("run <path>", "", (yargs) => {
    yargs
        .positional("path", {
        type: "string",
    })
        .option("revision", {
        alias: "r",
        demandOption: true,
        type: "string",
    })
        .option("samples", {
        alias: "s",
        default: 1,
        type: "number",
    })
        .option("socketMode", {
        alias: "m",
        default: "unix",
        type: "string",
    })
        .example([
        ["$0 run ./my_project.yml -r my_revision", ""],
        ["$0 run ./my_project.yml -r my_revision -t 2", ""],
        ["$0 run ./my_project.yml -r my_revision -t 2 -m windows", ""],
    ]);
}, run_1.run)
    .command("upload <paths...>", "", (yargs) => {
    yargs
        .positional("paths", {})
        .option("url", {
        alias: "u",
        default: "http://localhost:3001",
        type: "string",
    })
        .example([
        ["$0 upload data/my_project/my_revision-*.json", ""],
        ["$0 upload data/**/*.json -- -u http://example.com", ""],
    ]);
}, upload_1.upload)
    .command("drop <project>", "", (yargs) => {
    yargs
        .positional("project", { type: "string" })
        .option("url", {
        alias: "u",
        default: "http://localhost:3001",
        type: "string",
    })
        .example([
        ["$0 drop my_project", ""],
        ["$0 drop my_project -- -u http://example.com", ""],
    ]);
}, drop_1.drop)
    .strict()
    .version(false)
    .help().argv;
